Bug 81832 - [maintainer] qalculate 0.7.2 -> 0.8.0 + libqalculate port
Summary: [maintainer] qalculate 0.7.2 -> 0.8.0 + libqalculate port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-03 11:40 UTC by Sergey Akifyev
Modified: 2005-06-07 10:02 UTC (History)
0 users

See Also:


Attachments
qalculate.shar (8.83 KB, text/plain)
2005-06-03 11:40 UTC, Sergey Akifyev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Akifyev 2005-06-03 11:40:01 UTC
* qalculate 0.7.2 -> 0.8.0
* libqalculate 0.8.0 (included in shar)
* fixed plist
* dropped 4.x support (untested on 4.x)

Note:
=====
There are 2 reasons, that I've included shar instead of diff:
1) diff weights more
2) to avoid various patching problems

The reason there are 2 ports is that Qalculate! guys
splitted the package into 3:
* libqalculate (backend library, included in shar)
* qalculate-gtk (gnome version, included in shar)
* qalculate-kde (kde version)
Comment 1 Sergey Matveychuk freebsd_committer 2005-06-05 18:47:40 UTC
> There are 2 reasons, that I've included shar instead of diff:
> 1) diff weights more
> 2) to avoid various patching problems

Why we require diffs?
We apply patches and make a commit. After applying patches we can easy 
see what files added/removed. We need explicitly add and/or remove files 
in repository.
What can I do with your shar? I should extract files and make a diff and 
apply it to the exist port.

Moreover when we look at a patch we can easily understand what changed.

--
Sem.
Comment 2 Sergey Akifyev 2005-06-06 07:28:57 UTC
On ×Ó, 2005-06-05 at 21:47 +0400, Sergey Matveychuk wrote:
> > There are 2 reasons, that I've included shar instead of diff:
> > 1) diff weights more
> > 2) to avoid various patching problems
> 
> Why we require diffs?
> We apply patches and make a commit. After applying patches we can easy 
> see what files added/removed. We need explicitly add and/or remove files 
> in repository.
> What can I do with your shar? I should extract files and make a diff and 
> apply it to the exist port.
> 
> Moreover when we look at a patch we can easily understand what changed.

AFAIK, you do not _require_ diffs, you prefer them. Logically this port
was not a patch to previous version, it was built from scratch.

Also, last commit broke qalculate patch stage (there are 2 pairs of same
patches committed under different names, I don't know how this
happened). So, my own CVS desyncronised with FreeBSD ports. This way I
have more chances to make a mistake when diff'ing.

-- 
regards,
Sergey Akifyev <http://dpx.niibaca.ru>
AGAVA Software Company <http://www.agava.com>
PGP key available from:
ftp://ftp.gascom.ru/pub/PGP-keys/asa.txt
Comment 3 Sergey Matveychuk freebsd_committer 2005-06-06 07:33:54 UTC
Sergey Akifyev wrote:
> AFAIK, you do not _require_ diffs, you prefer them. Logically this port

We _require_ diffs, but prefer unify diffs ;-)

-- 
Sem.
Comment 4 Pav Lucistnik freebsd_committer 2005-06-07 10:02:11 UTC
State Changed
From-To: open->closed

Committed, thanks!